% Input:
% Ad: Matrix
% Bd: Matrix
% N: Integer (number of iterations)
% Omega0: function handle (support function of the initial set)
% U: function handle (support function of free input)

% Output:
% omegas: cell array of function handles (support functions representing the sets of the flowpipe)

% Description:
% Generates the support function representations of the flowpipe (for algoConstU)

function [omegas] = computeReachableSetsConstU(Ad,Bd,N,Omega0,U)

omegas = cell(1);
omegas{1} = Omega0;

for i=1:1:N-1
    omega = omegas{i};
    omegas{i+1} = @(l) omega(Ad'*l) + U(Bd'*l);
end;